Page MenuHomePhabricator

Incorrectly getting "You successfully removed your own rights. As such, you are no longer able to access this page." after promoting user to sysop and logging in as him
Closed, ResolvedPublic

Description

I create user TestSysop, logout, login as Nate (bureaucrat, sysop), promote TestSysop to sysop, logout, login as TestSysop, then get message "You successfully removed your own rights. As such, you are no longer able to access this page." Not a big deal, and anyone who got this message would understand what was happening, but it's technically incorrect. URL at which I receive the message: http://localhost/test24/w/index.php?title=Special:UserRights/TestSysop&success=1


Version: 1.23.0
Severity: trivial
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=48609

Details

Reference
bz58492

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:23 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz58492.
bzimport added a subscriber: Unknown Object (MLST).

Do not redirect back to success=1 or avoid a url where the (possible) success is coded in it, see also bug 24700 for the same issue with success url for the preferences

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2015, 6:48 PM
Fomafix claimed this task.Dec 27 2015, 11:06 AM

Change 261121 had a related patch set uploaded (by Gerrit Patch Uploader):
SpecialUserrights: Use cookie instead of URL parameter for success

https://gerrit.wikimedia.org/r/261121

Change 261121 merged by jenkins-bot:
SpecialUserrights: Use session data instead of URL parameter for success

https://gerrit.wikimedia.org/r/261121

Krinkle closed this task as Resolved.Dec 16 2016, 6:35 AM
Krinkle awarded a token.